summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorunknown <sasha@mysql.sashanet.com>2001-11-30 22:09:44 -0700
committerunknown <sasha@mysql.sashanet.com>2001-11-30 22:09:44 -0700
commit9dae47bbae8c20e2e01780f051f4b700c25564bd (patch)
tree727aa572ab6a5dc6d3b4834e8a3508633716a00a
parentace649189d566532a46ff110db15ccde117ce4af (diff)
downloadmariadb-git-9dae47bbae8c20e2e01780f051f4b700c25564bd.tar.gz
added build-tags
added test case that supposedly will crash mysqld built with 2.96
-rwxr-xr-xbuild-tags11
-rw-r--r--mysql-test/r/gcc296.result5
-rw-r--r--mysql-test/t/gcc296.test17
3 files changed, 33 insertions, 0 deletions
diff --git a/build-tags b/build-tags
new file mode 100755
index 00000000000..90b957eb3bc
--- /dev/null
+++ b/build-tags
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+if [ ! -f configure.in ] ; then
+ echo "$0 must be run from MySQL source root"
+ exit 1
+fi
+
+rm -f TAGS
+find -not -path \*SCCS\* -and \
+ \( -name \*.cc -or -name \*.h -or -name \*.yy -or -name \*.c \) \
+ -print -exec etags -o TAGS --append {} \;
diff --git a/mysql-test/r/gcc296.result b/mysql-test/r/gcc296.result
new file mode 100644
index 00000000000..7184bfb9cdc
--- /dev/null
+++ b/mysql-test/r/gcc296.result
@@ -0,0 +1,5 @@
+kodoboru obor aobor
+0101000000 aaa AAA
+0102000000 bbb BBB
+0103000000 ccc CCC
+0104000000 xxx XXX
diff --git a/mysql-test/t/gcc296.test b/mysql-test/t/gcc296.test
new file mode 100644
index 00000000000..7c72b57ca54
--- /dev/null
+++ b/mysql-test/t/gcc296.test
@@ -0,0 +1,17 @@
+#try to crash gcc 2.96
+drop table if exists obory;
+CREATE TABLE obory (
+ kodoboru varchar(10) default NULL,
+ obor tinytext,
+ aobor tinytext,
+ UNIQUE INDEX kodoboru (kodoboru),
+ FULLTEXT KEY obor (obor),
+ FULLTEXT KEY aobor (aobor)
+);
+INSERT INTO obory VALUES ('0101000000','aaa','AAA');
+INSERT INTO obory VALUES ('0102000000','bbb','BBB');
+INSERT INTO obory VALUES ('0103000000','ccc','CCC');
+INSERT INTO obory VALUES ('0104000000','xxx','XXX');
+
+select * from obory;
+drop table obory;